Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
management
/
accounts
/
{aid}
/
connections
/
{connection}
/
events
aid_accounts_aid_connections_events_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/management/accounts/{aid}/connections/{connection}/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "pending",
  "event": "signature_required"
}
'
{
  "status": "pending",
  "event": "signature_required",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "description": "Vipps awaiting signature",
  "metadata": {
    "signature_link": "https://sig.example.com/K34K244"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
connection
enum<string>
required

The connection to update.

payex.creditcard is deprecated in favor of payex

Available options:
instabank,
vipps,
payex.creditcard,
payex,
collector,
swish,
bambora

Body

application/json
status
enum<string>
required
Available options:
pending,
enabled,
failed,
declined
event
string
required
Example:

"signature_required"

description
string

short description about the event

Example:

"Vipps awaiting signature"

metadata
object

A set of key/values that you can attach to a connection event.

Example:
{
"signature_link": "https://sig.example.com/K34K244"
}

Response

Connection event

status
enum<string>
required
Available options:
pending,
enabled,
failed,
declined
event
string
required
Example:

"signature_required"

id
string
read-only
created_at
string<date-time>
read-only
created_by
string
read-only
description
string

short description about the event

Example:

"Vipps awaiting signature"

metadata
object

A set of key/values that you can attach to a connection event.

Example:
{
"signature_link": "https://sig.example.com/K34K244"
}
Last modified on May 12, 2026